// ************************************************************************* //
/// GBB - Graphics Blue Box, by Alexis Angelidis
/// $Author: silex $
/// $Date: 2006/01/11 21:56:29 $
/// $Revision: 1.1 $
// ************************************************************************* //
#ifndef __NODECONTROL_HH__
#define __NODECONTROL_HH__

// ************************************************************************* //
#include "nodeshape.h"

// ************************************************************************* //
class Plug;

// ************************************************************************* //
/// DESCRIPTION: Controls a ring generator.
// ************************************************************************* //
class NControl: public NShape
{
public:
  static int	typeNbr;
  static String	typeStr;
public:
  NControl(DagNode *parent = 0): NShape(parent) {}
  virtual void		initialize();
  virtual int		getTypeNbr() const { return typeNbr; }
  virtual const String	&getTypeStr() const { return typeStr; }
  static DagNode	*creator() { return new NControl(); }
  virtual void		compute(Plug &plug);
  void			glRender(Plug &plug);
};

// ************************************************************************* //
#endif//__NODECONTROL_HH__
