// ************************************************************************* //
/// GBB - Graphics Blue Box, by Alexis Angelidis
/// $Author: silex $
/// $Date: 2006/01/11 21:56:29 $
/// $Revision: 1.1 $
// ************************************************************************* //
#ifndef __NODECURRENTGENERATOR_HH__
#define __NODECURRENTGENERATOR_HH__

// ************************************************************************* //
#include "nodeshape.h"

// ************************************************************************* //
/// DESCRIPTION: Attaches to node Guide. Launches guided rings.
// ************************************************************************* //
class NCurrentGenerator: public NShape
{
public:
  static int	typeNbr;
  static String	typeStr;
public:
  NCurrentGenerator(DagNode *parent = 0): NShape(parent) {}
  virtual void		initialize();
  virtual int		getTypeNbr() const { return typeNbr; }
  virtual const String	&getTypeStr() const { return typeStr; }
  static DagNode	*creator() { return new NCurrentGenerator(); }
  void			buildDagNodes();
  virtual void		compute(Plug &plug);
  void			glRender(Plug &plug);
  void			update(Plug &plug);
  DagNode		*isControlled();
};

// ************************************************************************* //
#endif//__NODECURRENTGENERATOR_HH__
