// ************************************************************************* //
/// GBB - Graphics Blue Box, by Alexis Angelidis
/// $Author: silex $
/// $Date: 2006/01/11 21:56:29 $
/// $Revision: 1.1 $
// ************************************************************************* //
#ifndef __NODEDEFORMER_HH__
#define __NODEDEFORMER_HH__

// ************************************************************************* //
#include "dagnode.h"
#include "mystring.h"

// ************************************************************************* //
class Plug;

// ************************************************************************* //
/// DESCRIPTION:
// ************************************************************************* //
class NDeformer: public DagNode
{
public:
  static int	typeNbr;
  static String	typeStr;
public:
  NDeformer(DagNode *parent = 0): DagNode(parent) {}
  virtual void		initialize();
  virtual int		getTypeNbr() const { return typeNbr; }
  virtual const String	&getTypeStr() const { return typeStr; }
  static DagNode	*creator() { return new NDeformer; }
  void			buildDagNodes();
  virtual void		compute(Plug &hndOut);
  void			glRender(Plug &hndOut);
};

// ************************************************************************* //
/// DESCRIPTION:
// ************************************************************************* //
class NSwirlingSweeper: public DagNode
{
public:
  static int	typeNbr;
  static String	typeStr;
public:
  NSwirlingSweeper(DagNode *parent = 0): DagNode(parent) {}
  virtual void		initialize();
  virtual int		getTypeNbr() const { return typeNbr; }
  virtual const String	&getTypeStr() const { return typeStr; }
  static DagNode	*creator() { return new NSwirlingSweeper; }
  void			buildDagNodes();
  virtual void		compute(Plug &hndOut);
  void			glRender(Plug &hndOut);
  void			glRenderDeco();
};

// ************************************************************************* //
#endif//__NODEDEFORMER_HH__
