// ************************************************************************* //
/// GBB - Graphics Blue Box, by Alexis Angelidis
/// $Author: silex $
/// $Date: 2006/01/11 21:56:30 $
/// $Revision: 1.1 $
// ************************************************************************* //
#ifndef __NODETRANSFORM_HH__
#define __NODETRANSFORM_HH__

// ************************************************************************* //
#include "dagnode.h"
#include "nodeshape.h"

// ************************************************************************* //
class Plug;

// ************************************************************************* //
class NTransform: public NShape
{
public:
  static int	typeNbr;
  static String	typeStr;
public:
  NTransform(DagNode *parent = 0): NShape(parent) {}
  virtual void		initialize();
  virtual int		getTypeNbr() const { return typeNbr; }
  virtual const String	&getTypeStr() const { return typeStr; }
  static DagNode	*creator() { return new NTransform(); }
  virtual void		compute(Plug &plugOut);
  void			glRender(Plug &plugOut);
  void			scale(Plug &plugOut);
  void			rotate(Plug &plugOut);
  void			translate(Plug &plugOut);
};

// ************************************************************************* //
#endif//__NODETRANSFORM_HH__

